diff --git a/projects/platform/hdl/devices/data_src_qadc_ad9361_sub.hdl/Makefile b/projects/platform/hdl/devices/data_src_qadc_ad9361_sub.hdl/Makefile
index 025024e..452ce64 100644
--- a/projects/platform/hdl/devices/data_src_qadc_ad9361_sub.hdl/Makefile
+++ b/projects/platform/hdl/devices/data_src_qadc_ad9361_sub.hdl/Makefile
@@ -25,8 +25,10 @@
 HdlExactPart=\
 	$(or $(and $(filter zynq_ise,$(HdlTarget)),xc7z020_ise_alias-1-clg484), \
 	$(and $(filter zynq,$(HdlTarget)),xc7z020-1-clg484), \
-        $(and $(filter zynq_ultra,$(HdlTarget)),xczu7ev-2-ffvc1156e), \
+        $(and $(filter zynq_ultra,$(HdlTarget)),xczu28dr-2-ffvg1517e), \
 	$(and $(filter virtex6,$(HdlTarget)),xc6vlx240t-1-ff1156), \
 	$(and $(filter stratix4,$(HdlTarget)),ep4sgx230k-c2-f40))
 
+Cores=cores/ila_1/ila_1.xci 
+
 include $(OCPI_CDK_DIR)/include/worker.mk
diff --git a/projects/platform/hdl/devices/data_src_qadc_ad9361_sub.hdl/data_src_qadc_ad9361_sub.vhd b/projects/platform/hdl/devices/data_src_qadc_ad9361_sub.hdl/data_src_qadc_ad9361_sub.vhd
index 4485a41..7668851 100644
--- a/projects/platform/hdl/devices/data_src_qadc_ad9361_sub.hdl/data_src_qadc_ad9361_sub.vhd
+++ b/projects/platform/hdl/devices/data_src_qadc_ad9361_sub.hdl/data_src_qadc_ad9361_sub.vhd
@@ -152,6 +152,42 @@ architecture rtl of worker is
 
 begin
 
+  u_ila_1 : work.ila_pkg.ila_1
+  PORT MAP (
+    clk => adc_clk,
+    probe0 => std_logic_vector(to_unsigned(state_t'pos(state), 2)), 
+    probe1 => adc_r2_q_rrrr, 
+    probe2 => adc_r2_q_h_rrr,
+    probe3 => adc_r2_i_rrrr,
+    probe4 => adc_r2_i_h_rrr,
+    probe5 => adc_r1_q_rrrrrr, 
+    probe6 => adc_r1_q_rrrrr,
+    probe7 => adc_r1_q_rrrr,
+    probe8 => adc_r1_q_h_rrr,
+    probe9 => adc_r1_i_rrrrrr,
+    probe10 => adc_r1_i_rrrrr,
+    probe11 => adc_r1_i_rrrr,
+    probe12 => adc_r1_i_h_rrr,
+    probe13 => adc_ddr_out_rising_rr,
+    probe14 => adc_ddr_out_falling_rr,
+    probe15 => adc_data_vld,
+    probe16 => adc_data_q(1),
+    probe17 => adc_data_q(0),
+    probe18 => adc_data_i(1),
+    probe19 => adc_data_i(0), 
+    probe20(0) => adc_r1_give_rrrr,
+    probe21(0) => adc_r1_give_rrrrr,
+    probe22(0) => adc_r1_give_rrrrrr,
+    probe23(0) => adc_r2_give_rrrr,
+    probe24(0) => adc_r1_samps_dropped,
+    probe25(0) => adc_r2_samps_dropped,
+    probe26(0) => adc_reset,
+    probe27(0) => adc_rx_frame_p_buf_falling_rr,
+    probe28(0) => adc_rx_frame_p_buf_rising_rr,
+    probe29(0) => RX_FRAME_P_s,
+    probe30(0) => r2_worker_present
+  );
+
   -- these dev signals are used to (eventually) tell higher level proxy(ies)
   -- about the data port configuration that was enforced when this worker was
   -- compiled, so that said proxy(ies) can set the AD9361 registers accordingly
diff --git a/projects/platform/hdl/devices/data_src_qadc_ad9361_sub.hdl/data_src_qadc_ad9361_sub.xml b/projects/platform/hdl/devices/data_src_qadc_ad9361_sub.hdl/data_src_qadc_ad9361_sub.xml
index 4223511..1f21f3c 100644
--- a/projects/platform/hdl/devices/data_src_qadc_ad9361_sub.hdl/data_src_qadc_ad9361_sub.xml
+++ b/projects/platform/hdl/devices/data_src_qadc_ad9361_sub.hdl/data_src_qadc_ad9361_sub.xml
@@ -1,5 +1,5 @@
 <HdlDevice language='vhdl' Version='2' libraries='util cdc adc' 
-      sourcefiles='clock_selector_with_async_select.vhd clock_divider.vhd clock_manager.vhd one_sample_clock_per_adc_sample_generator.vhd'
+      sourcefiles='ila_pkg.vhd clock_selector_with_async_select.vhd clock_divider.vhd clock_manager.vhd one_sample_clock_per_adc_sample_generator.vhd'
       onlytargets='zynq zynq_ise zynq_ultra virtex6 isim xsim'> <!-- Only tested targets cause of BUFR primitive -->
 
   <!-- By design, this worker provides control and/or data plane functionality
